package api

import (
	"github.com/kataras/iris/v12"
	"main/jwtSet"
)

func Notes(party iris.Party) {
	party.Get("/", jwtSet.Jwt.Serve, getNotesList)
	party.Post("/", jwtSet.Jwt.Serve, addNote)
	party.Get("/{id:int}", jwtSet.Jwt.Serve, getNote)
	party.Put("/{id:int}", jwtSet.Jwt.Serve, updateNote)
	party.Delete("/{id:int}", jwtSet.Jwt.Serve, deleteNote)
	party.Post("/{id:int}/file", jwtSet.Jwt.Serve, uploadNoteFile)
	party.Get("/{id:int}/file/{filename:string}", getNoteFile)
}
